geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rmannibu...@apache.org
Subject svn commit: r1671949 - /geronimo/specs/trunk/geronimo-jpa_2.1_spec/pom.xml
Date Tue, 07 Apr 2015 20:56:36 GMT
Author: rmannibucau
Date: Tue Apr  7 20:56:36 2015
New Revision: 1671949

URL: http://svn.apache.org/r1671949
Log:
upgrading parent + fixing pom formatting + fixing pom warning

Modified:
    geronimo/specs/trunk/geronimo-jpa_2.1_spec/pom.xml

Modified: geronimo/specs/trunk/geronimo-jpa_2.1_spec/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/specs/trunk/geronimo-jpa_2.1_spec/pom.xml?rev=1671949&r1=1671948&r2=1671949&view=diff
==============================================================================
--- geronimo/specs/trunk/geronimo-jpa_2.1_spec/pom.xml (original)
+++ geronimo/specs/trunk/geronimo-jpa_2.1_spec/pom.xml Tue Apr  7 20:56:36 2015
@@ -20,140 +20,142 @@
 
 <!-- $Rev$ $Date$ -->
 
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
 
-    <modelVersion>4.0.0</modelVersion>
+  <modelVersion>4.0.0</modelVersion>
 
-    <parent>
-        <groupId>org.apache.geronimo.genesis</groupId>
-        <artifactId>genesis-java5-flava</artifactId>
-        <version>2.2</version>
-    </parent>
-
-    <groupId>org.apache.geronimo.specs</groupId>
-    <artifactId>geronimo-jpa_2.1_spec</artifactId>
-    <packaging>bundle</packaging>
-    <name>Apache Geronimo JPA Spec 2.1</name>
-    <version>1.0-SNAPSHOT</version>
-
-    <description>Implementation of JSR-338 JPA 2.1 Spec API</description>
-
-    <url>http://geronimo.apache.org/maven/${siteId}/${version}</url>
-    <distributionManagement>
-        <site>
-            <id>apache-website</id>
-            <url>${site.deploy.url}/maven/${siteId}/${version}</url>
-        </site>
-    </distributionManagement>
-
-    <properties>
-        <siteId>specs/${artifactId}</siteId>
-    </properties>
-
-    <scm>
-        <connection>scm:svn:http://svn.apache.org/repos/asf/geronimo/specs/trunk/geronimo-jpa_2.1_spec/</connection>
-        <developerConnection>scm:svn:https://svn.apache.org/repos/asf/geronimo/specs/trunk/geronimo-jpa_2.1_spec/</developerConnection>
-        <url>http://svn.apache.org/viewcvs.cgi/geronimo/specs/trunk/geronimo-jpa_2.1_spec/</url>
-    </scm>
-
-    <dependencies>
-        <dependency>
-            <groupId>org.apache.felix</groupId>
-            <artifactId>org.osgi.core</artifactId>
-            <version>1.4.0</version>
-            <scope>compile</scope>
-            <optional>true</optional>
-            <exclusions>
-                <exclusion>
-                    <groupId>org.apache.felix</groupId>
-                    <artifactId>org.osgi.foundation</artifactId>
-                </exclusion>
-            </exclusions>
-        </dependency>
-        <dependency>
-            <groupId>org.apache.felix</groupId>
-            <artifactId>org.osgi.compendium</artifactId>
-            <version>1.2.0</version>
-            <scope>compile</scope>
-            <optional>true</optional>
-            <exclusions>
-                <exclusion>
-                    <groupId>org.apache.felix</groupId>
-                    <artifactId>org.osgi.core</artifactId>
-                </exclusion>
-                <exclusion>
-                    <groupId>org.apache.felix</groupId>
-                    <artifactId>org.osgi.foundation</artifactId>
-                </exclusion>
-                <exclusion>
-                    <groupId>org.apache.felix</groupId>
-                    <artifactId>javax.servlet</artifactId>
-                </exclusion>
-            </exclusions>
-        </dependency>
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-osgi-locator</artifactId>
-            <version>1.0</version>
-            <scope>provided</scope>
-        </dependency>
-
-    </dependencies>
-
-    <build>
-        <pluginManagement>
-            <plugins>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-eclipse-plugin</artifactId>
-                    <configuration>
-                        <addVersionToProjectName>true</addVersionToProjectName>
-                    </configuration>
-                </plugin>
-            </plugins>
-        </pluginManagement>
-        <plugins>
-            <plugin>
-                <groupId>org.apache.felix</groupId>
-                <artifactId>maven-bundle-plugin</artifactId>
-                <configuration>
-                    <instructions>
-                        <Bundle-SymbolicName>${groupId}.${artifactId};singleton=true</Bundle-SymbolicName>
-                        <Bundle-Activator>org.apache.geronimo.specs.jpa.PersistenceActivator</Bundle-Activator>
-                        <Specification-Title>JSR-338 Java Persistence API 2.1</Specification-Title>
-                        <Specification-Vendor>Sun Microsystems, Inc.</Specification-Vendor>
-                        <Specification-Version>2.1</Specification-Version>
-                        <Private-Package>org.apache.geronimo.specs.jpa.*;org.apache.geronimo.osgi.locator</Private-Package>
-                        <!-- The OSGi specification requires these packages be exported
as 1.1.  Unfortunately,
-                             there are bundles out there that are currently expecting to
use a 2.0 version.  The duplicate
-                             package exports are done to prevent breaking those packages
-->
-                        <Export-Package>
-                            javax.persistence;version=1.2;jpa=2.1,
-                            javax.persistence.criteria;version=1.2;jpa=2.1,
-                            javax.persistence.metamodel;version=1.2;jpa=2.1,
-                            javax.persistence.spi;version=1.2;jpa=2.1,
-                            javax.persistence;version=2.1,
-                            javax.persistence.criteria;version=2.1,
-                            javax.persistence.metamodel;version=2.1,
-                            javax.persistence.spi;version=2.1
-                        </Export-Package>
-                        <!-- bnd is not correctly handling these imports using wildcards,
so they
-                             need to be explicitly specified -->
-                        <Import-Package>
-                            javax.persistence;version=1.2,
-                            javax.persistence.criteria;version=1.2,
-                            javax.persistence.metamodel;version=1.2,
-                            javax.persistence.spi;version=1.2,
-                            javax.sql;resolution:=optional,
-                            org.osgi.framework;resolution:=optional,
-                            org.osgi.util.tracker;resolution:=optional,
-                            org.apache.geronimo.osgi.registry.api;resolution:=optional
-                        </Import-Package>
-                    </instructions>
-                    <unpackBundle>true</unpackBundle>
-                </configuration>
-            </plugin>
-        </plugins>
-    </build>
+  <parent>
+    <groupId>org.apache.geronimo.genesis</groupId>
+    <artifactId>genesis-java6-flava</artifactId>
+    <version>2.2</version>
+    <relativePath />
+  </parent>
+
+  <groupId>org.apache.geronimo.specs</groupId>
+  <artifactId>geronimo-jpa_2.1_spec</artifactId>
+  <packaging>bundle</packaging>
+  <name>Apache Geronimo JPA Spec 2.1</name>
+  <version>1.0-SNAPSHOT</version>
+
+  <description>Implementation of JSR-338 JPA 2.1 Spec API</description>
+
+  <url>http://geronimo.apache.org/maven/${siteId}/${project.version}</url>
+  <distributionManagement>
+    <site>
+      <id>apache-website</id>
+      <url>${site.deploy.url}/maven/${siteId}/${project.version}</url>
+    </site>
+  </distributionManagement>
+
+  <properties>
+    <siteId>specs/${project.artifactId}</siteId>
+  </properties>
+
+  <scm>
+    <connection>scm:svn:http://svn.apache.org/repos/asf/geronimo/specs/trunk/geronimo-jpa_2.1_spec/</connection>
+    <developerConnection>scm:svn:https://svn.apache.org/repos/asf/geronimo/specs/trunk/geronimo-jpa_2.1_spec/
+    </developerConnection>
+    <url>http://svn.apache.org/viewcvs.cgi/geronimo/specs/trunk/geronimo-jpa_2.1_spec/</url>
+  </scm>
+
+  <dependencies>
+    <dependency>
+      <groupId>org.apache.felix</groupId>
+      <artifactId>org.osgi.core</artifactId>
+      <version>1.4.0</version>
+      <scope>compile</scope>
+      <optional>true</optional>
+      <exclusions>
+        <exclusion>
+          <groupId>org.apache.felix</groupId>
+          <artifactId>org.osgi.foundation</artifactId>
+        </exclusion>
+      </exclusions>
+    </dependency>
+    <dependency>
+      <groupId>org.apache.felix</groupId>
+      <artifactId>org.osgi.compendium</artifactId>
+      <version>1.2.0</version>
+      <scope>compile</scope>
+      <optional>true</optional>
+      <exclusions>
+        <exclusion>
+          <groupId>org.apache.felix</groupId>
+          <artifactId>org.osgi.core</artifactId>
+        </exclusion>
+        <exclusion>
+          <groupId>org.apache.felix</groupId>
+          <artifactId>org.osgi.foundation</artifactId>
+        </exclusion>
+        <exclusion>
+          <groupId>org.apache.felix</groupId>
+          <artifactId>javax.servlet</artifactId>
+        </exclusion>
+      </exclusions>
+    </dependency>
+    <dependency>
+      <groupId>org.apache.geronimo.specs</groupId>
+      <artifactId>geronimo-osgi-locator</artifactId>
+      <version>1.0</version>
+      <scope>provided</scope>
+    </dependency>
+  </dependencies>
+
+  <build>
+    <pluginManagement>
+      <plugins>
+        <plugin>
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-eclipse-plugin</artifactId>
+          <configuration>
+            <addVersionToProjectName>true</addVersionToProjectName>
+          </configuration>
+        </plugin>
+      </plugins>
+    </pluginManagement>
+    <plugins>
+      <plugin>
+        <groupId>org.apache.felix</groupId>
+        <artifactId>maven-bundle-plugin</artifactId>
+        <configuration>
+          <instructions>
+            <Bundle-SymbolicName>${project.groupId}.${project.artifactId};singleton=true</Bundle-SymbolicName>
+            <Bundle-Activator>org.apache.geronimo.specs.jpa.PersistenceActivator</Bundle-Activator>
+            <Specification-Title>JSR-338 Java Persistence API 2.1</Specification-Title>
+            <Specification-Vendor>Sun Microsystems, Inc.</Specification-Vendor>
+            <Specification-Version>2.1</Specification-Version>
+            <Private-Package>org.apache.geronimo.specs.jpa.*;org.apache.geronimo.osgi.locator</Private-Package>
+            <!-- The OSGi specification requires these packages be exported as 1.1.  Unfortunately,
+                 there are bundles out there that are currently expecting to use a 2.0 version.
 The duplicate
+                 package exports are done to prevent breaking those packages -->
+            <Export-Package>
+              javax.persistence;version=1.2;jpa=2.1,
+              javax.persistence.criteria;version=1.2;jpa=2.1,
+              javax.persistence.metamodel;version=1.2;jpa=2.1,
+              javax.persistence.spi;version=1.2;jpa=2.1,
+              javax.persistence;version=2.1,
+              javax.persistence.criteria;version=2.1,
+              javax.persistence.metamodel;version=2.1,
+              javax.persistence.spi;version=2.1
+            </Export-Package>
+            <!-- bnd is not correctly handling these imports using wildcards, so they
+                 need to be explicitly specified -->
+            <Import-Package>
+              javax.persistence;version=1.2,
+              javax.persistence.criteria;version=1.2,
+              javax.persistence.metamodel;version=1.2,
+              javax.persistence.spi;version=1.2,
+              javax.sql;resolution:=optional,
+              org.osgi.framework;resolution:=optional,
+              org.osgi.util.tracker;resolution:=optional,
+              org.apache.geronimo.osgi.registry.api;resolution:=optional
+            </Import-Package>
+          </instructions>
+          <unpackBundle>true</unpackBundle>
+        </configuration>
+      </plugin>
+    </plugins>
+  </build>
 
 </project>



Mime
View raw message